Bug 1284126 - crash when qt5-qtbase-5.5.1-8.fc22 is installed
crash when qt5-qtbase-5.5.1-8.fc22 is installed
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: lxqt-session (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Helio Chissini de Castro
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 17:51 EST by Petr Spacek
Modified: 2016-07-19 14:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:30:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Spacek 2015-11-20 17:51:00 EST
Description of problem:
lxqt-session crashes if the system as qt5-qtbase-5.5.1-8.fc22 is installed instead of qt5-qtbase-5.4.2-2.fc22.

Version-Release number of selected component (if applicable):
lxqt-session-0.9.0-4.fc22

How reproducible:
100 %

Steps to Reproduce:
1. upgrade to qt5-qtbase-5.5.1-8.fc22
2. run lxqt-session


Actual results:
lis 17 16:15:16 stolni systemd-coredump[1148]: Process 1037 (lxqt-session) of user 1000 dumped core.
                                               
                                               Stack trace of thread 1037:
                                               #0  0x00000000b777dbe8 __kernel_vsyscall (linux-gate.so.1)
                                               #1  0x00000000b5ff7796 raise (libc.so.6)
                                               #2  0x00000000b5ff9027 abort (libc.so.6)
                                               #3  0x00000000b63f4437 _ZNK14QMessageLogger5fatalEPKcz (libQt5Core.so.5)
                                               #4  0x00000000b3a7d03f _ZN14QXcbConnectionC1EP19QXcbNativeInterfacebjPKc (libQt5XcbQpa.so.5)
                                               #5  0x00000000b3a8397c _ZN15QXcbIntegrationC1ERK11QStringListRiPPc (libQt5XcbQpa.so.5)
                                               #6  0x00000000b7776ffb _ZN21QXcbIntegrationPlugin6createERK7QStringRK11QStringListRiPPc (libqxcb.so)
                                               #7  0x00000000b68f71b2 _ZN27QPlatformIntegrationFactory6createERK7QStringRK11QStringListRiPPcS2_ (libQt5Gui.so.5)
                                               #8  0x00000000b690564f _ZN22QGuiApplicationPrivate25createPlatformIntegrationEv (libQt5Gui.so.5)
                                               #9  0x00000000b6906614 _ZN22QGuiApplicationPrivate21createEventDispatcherEv (libQt5Gui.so.5)
                                               #10 0x00000000b6e5c24c _ZN19QApplicationPrivate21createEventDispatcherEv (libQt5Widgets.so.5)
                                               #11 0x00000000b65fbab5 _ZN16QCoreApplication4initEv (libQt5Core.so.5)
                                               #12 0x00000000b65fbb41 _ZN16QCoreApplicationC2ER23QCoreApplicationPrivate (libQt5Core.so.5)
                                               #13 0x00000000b6908625 _ZN15QGuiApplicationC2ER22QGuiApplicationPrivate (libQt5Gui.so.5)
                                               #14 0x00000000b6e5eba0 _ZN12QApplicationC1ERiPPci (libQt5Widgets.so.5)
                                               #15 0x00000000b75c0596 _ZN4LxQt11ApplicationC1ERiPPc (liblxqt.so.0)
                                               #16 0x000000000805bbcd _ZN18SessionApplicationC2ERiPPc (lxqt-session)
                                               #17 0x0000000008050e1e main (lxqt-session)
                                               #18 0x00000000b5fe2715 __libc_start_main (libc.so.6)
                                               #19 0x0000000008050eb5 _start (lxqt-session)



Expected results:
It should work.

Additional info:
Downgrade of qt5-qtbase reliably fixes the problem. Maybe a rebuild is needed?
Comment 1 Rex Dieter 2015-11-21 09:48:42 EST
Consider trying lqxt-0.10.0 from updates-testing?

https://bodhi.fedoraproject.org/updates/FEDORA-2015-1236ae97a3
Comment 2 Rex Dieter 2015-11-21 09:56:32 EST
In my limited testing (and admittedly on f23), lxqt-0.10.0 + qt5-5.5.1 combination seems to work well (no crashes as reported here)


Followup question: do you have multiple displays, ie > 1 monitor in use here?
Comment 3 Fedora End Of Life 2016-07-19 14:30:46 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.